Eclipse Platform Release 3.7

## org.eclipse.ltk.core.refactoring.participants
Class DeleteRefactoring

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.ltk.core.refactoring.Refactoring
              org.eclipse.ltk.core.refactoring.participants.ProcessorBasedRefactoring
                  org.eclipse.ltk.core.refactoring.participants.DeleteRefactoring

All Implemented Interfaces:
  IAdaptable

    public class DeleteRefactoring

extends ProcessorBasedRefactoring

A generic delete refactoring. The actual refactoring is done by the delete processor passed to the constructor.

This class is not intended to be subclassed by clients.

Since:
  3.0
Restriction:
  This class is not intended to be subclassed by clients.

Constructor Summary
`DeleteRefactoring(DeleteProcessor processor)` Constructs a new delete refactoring for the given processor.

Method Summary
`RefactoringProcessor` `getProcessor()` Return the processor associated with this refactoring.

Methods inherited from class org.eclipse.ltk.core.refactoring.participants.ProcessorBasedRefactoring
`checkFinalConditions, checkInitialConditions, createChange, getAdapter, getName, getTextChange, isApplicable, setProcessor, toString`

Methods inherited from class org.eclipse.ltk.core.refactoring.Refactoring
`checkAllConditions, doGetRefactoringTickProvider, getRefactoringTickProvider, getValidationContext, setValidationContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DeleteRefactoring

    public DeleteRefactoring(DeleteProcessor processor)

  Constructs a new delete refactoring for the given processor.

  Parameters:
    `processor` - the delete processor

Method Detail

### getProcessor

    public RefactoringProcessor getProcessor()

  Return the processor associated with this refactoring. The method must not return `null`. Implementors can override this method to return the processor to be used by this refactoring. Since 3.4, this method returns the processor passed in `ProcessorBasedRefactoring.ProcessorBasedRefactoring(RefactoringProcessor)` or by `ProcessorBasedRefactoring.setProcessor(RefactoringProcessor)`.

  Overrides:
    `getProcessor` in class `ProcessorBasedRefactoring`
  Returns:
    the processor associated with this refactoring

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.